*
* $Id: mxmad.f,v 1.1 2010-02-16 22:14:16 dumas Exp $
*
* $Log: mxmad.f,v $
* Revision 1.1  2010-02-16 22:14:16  dumas
*         * cernlib/*: change .F to .f such that the C preprocessor isn't
*         run on the files.
*         * mini_ker/*: update to 102r.
*         * examples/*: add masselotes example.
*         * */Makefile*: fixes for out of source build.
*         Put mini_ker sources directory within includedir/mini_ker,
*         leading to 3 levels, but it is better since some things may be
*         directly in includedir/mini_ker and are better separated from
*         code directories.
*         * config/mp2a.m4: don't use AC_CACHE*.
*
* Revision 1.1  2007-10-09 21:29:44  dumas
*         * Makefile*, doc/mini_ker.texi, cfs/* scripts/*: update to 102l.
*         * cernlib/*, README: add required cernlib files.
*         * doc/*: add images.
*         * examples/*: more examples.
*
* Revision 1.1.1.1  1996/02/15 17:49:52  mclareni
* Kernlib
*
* Copyright (C) CERN 1964, 1996 
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
* 
*
      SUBROUTINE MXMAD(A,B,C,I,J,K)
C
C CERN PROGLIB# F110    MXMAD           .VERSION KERNFOR  1.0   650809
C ORIG. 01/01/64 RKB
C
      DIMENSION A(*),B(*),C(*)
C
      IANDJ=21
      GO TO 1
C
         ENTRY MXMAD1  (A,B,C,I,J,K)
C
      IANDJ=22
      GO TO 1
C
         ENTRY MXMAD2  (A,B,C,I,J,K)
C
      IANDJ=23
      GO TO 1
C
         ENTRY MXMAD3  (A,B,C,I,J,K)
C
      IANDJ=24
      GO TO 1
C
         ENTRY MXMPY   (A,B,C,I,J,K)
C
      IANDJ=11
      GO TO 1
C
         ENTRY MXMPY1  (A,B,C,I,J,K)
C
      IANDJ=12
      GO TO 1
C
         ENTRY MXMPY2  (A,B,C,I,J,K)
C
      IANDJ=13
      GO TO 1
C
         ENTRY MXMPY3  (A,B,C,I,J,K)
C
      IANDJ=14
      GO TO 1
C
         ENTRY MXMUB   (A,B,C,I,J,K)
C
      IANDJ=31
      GO TO 1
C
         ENTRY MXMUB1  (A,B,C,I,J,K)
C
      IANDJ=32
      GO TO 1
C
         ENTRY MXMUB2  (A,B,C,I,J,K)
C
      IANDJ=33
      GO TO 1
C
         ENTRY MXMUB3  (A,B,C,I,J,K)
C
      IANDJ=34
C
    1 N1=IANDJ/10
      N2=IANDJ-10*N1
      IF((I.EQ.0).OR.(K.EQ.0)) GO TO 100
      GO TO  (3,3,5,5),N2
C
    3 IIA=1
      IOA=J
      GO TO 7
    5 IIA=I
      IOA=1
    7 GO TO (9,11,9,11),N2
    9 IIB=K
      IOB=1
      GO TO 13
   11 IIB=1
      IOB=J
   13 IA=1
      IC=1
      DO 25 L=1,I
      IB =1
      DO 23 M=1,K
      GO TO (15,18,16),N1
   15 C(IC)=0.
      GO TO 18
   16 C(IC)=-C(IC)
   18 IF (J.EQ.0) GO TO 23
      JA=IA
      JB=IB
      DO 20 N=1,J
      C(IC)=C(IC)+A(JA)*B(JB)
      JA=JA+IIA
   20 JB=JB+IIB
      IB=IB+IOB
   23 IC=IC+1
   25 IA=IA+IOA
  100 RETURN
      END
