Name:           mini_ker
Version:        1.02.00.7
Release:        1
Summary:        Run a model simulation and various system dynamic analysis

Group:          Applications/Engineering
License:        GPL
URL:            http://www.environnement.ens.fr/perso/dumas/mini_ker/software.html
Source0:        http://www.environnement.ens.fr/perso/dumas/mini_ker/mini_ker-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# noarch doesn't work because a build doesn't work, although the only 
# things built are examples and not installed
#BuildArch:      noarch
BuildRequires:  cernlib-devel car2txt mp2a
#BuildRequires:  gcc-gfortran
#BuildRequires:  gcc-g77
BuildRequires:  /usr/bin/g77
Requires:       cernlib-devel car2txt mp2a 
#Requires:       gcc-gfortran
#Requires:       gcc-g77
Requires:       /usr/bin/g77
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info


%description

mini_ker implements in a simple way the transfer evolution formalism (TEF).
It runs a model simulation and performs various system dynamic analysis
methods.

%prep
%setup -q
find . -depth -type d -name CVS -exec rm -rf {} ';'


%build
# needed since we use g77 because the cernlib is built with g77
FFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -fasynchronous-unwind-tables"
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%{_bindir}/start_miniker
%dir %{_includedir}/mini_ker/
%{_includedir}/mini_ker/Makefile.miniker
%{_includedir}/mini_ker/cfs
%{_includedir}/mini_ker/mini_ker
%{_infodir}/mini_ker.info*
%dir %{_datadir}/mini_ker/
%{_datadir}/mini_ker/template
%{_datadir}/mini_ker/start_template
%doc NEWS README AUTHORS ChangeLog COPYING

%changelog
* Mon Jul 24 2006 Patrice Dumas <dumas at centre-cired.fr> - 1.01.00.1-1
- update to 1.01.00.1

* Sun Jul 31 2005 Patrice Dumas <dumas at centre-cired.fr> - 1.01.00-1
- initial rpm packaging
